@import "@/styles/variables";

.checkbox-wrapper {
    padding: 0.3rem 0;

    input[type="checkbox"] {
        appearance: none;
        margin: 0;
        width: 1.5rem;
        min-width: 1.5rem;
        height: 1.5rem;
        background: rgba($secondary-color, 0.04);
        border: 1px solid $primary-color-light;
        border-radius: 0;
        cursor: pointer;

        &:checked {
            background: $secondary-color;
            position: relative;

            &::before {
                content: url("/assets/images/checked-icon.svg");
                color: $white;
                position: absolute;
                right: 0.3rem;
            }

            +span {
                color: $secondary-color;
            }
        }
    }

    label {
        @include paragraph-mobile;

        display: flex;
        gap: 1rem;
        color: $primary-color-light;
        cursor: pointer;
    }

    .count {
        @include paragraph-mobile;

        color: $gray-dark;
    }
}
